Package org.opensaml.core.xml.schema.impl

# Class XSDateTimeBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<XSDateTime>
org.opensaml.core.xml.schema.impl.XSDateTimeBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<XSDateTime>`

public class XSDateTimeBuilder extends AbstractXMLObjectBuilder<XSDateTime>
Builder of `XSDateTime` objects.

## Constructor Summary

Constructors
Constructor
Description
`XSDateTimeBuilder()`

## Method Summary

Modifier and Type
Method
Description
`XSDateTime`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XSDateTimeBuilder

public XSDateTimeBuilder()

## Method Details

### buildObject

@Nonnull public XSDateTime buildObject(@Nullable String namespaceURI, @Nonnull @NotEmpty String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<XSDateTime>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<XSDateTime>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject